Subject: Re: [PATCH v15 00/13] fsmonitor: implement filesystem change listener for Linux

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 May 2026 15:26:25 +0900

Ben Knoble <[email-masked]> writes:

>> Le 15 avr. 2026 à 09:27, Paul Tarjan via GitGitGadget <[email-masked]> a écrit :
>> 
>> This series implements the built-in fsmonitor daemon for Linux using the
>> inotify API, bringing it to feature parity with the existing Windows and
>> macOS implementations. It also fixes two memory leaks in the
>> platform-independent daemon code and deduplicates the IPC and settings logic
>> that is now shared between macOS and Linux.
>
> Troubleshooting a Gentoo build failure of next has me pretty
> convinced this topic is in there already. Junio should probably
> check my math, but I think that means we want to see fixes on top
> of that base now (unless we are reverting this topic from next and
> queuing a new version?).
>
> (The failure is a Gentoo-ism; we carry a patch that stops applying
> with this series. Not anything this project needs to worry about.)

So is there a verdict already, which this project may not need to
worry about?  This has been kept out of 'next' after getting
reverted but if the breakage was due to Gentoo-ism whose workaround
does not need to get upstreamed, and if there are no other reasons to
block the topic, I am inclined to mark the topic for 'next'.

Thanks.